Subject: Re: Improve `git log -L` functionality

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 10 Mar 2018 13:28:30 +0100

On Sat, Mar 10 2018, KES jotted:

> uh... seems nobody is interested in this functionality (

I'm interested in this, and would review a patch to implement this.

Generally speaking when you send a "wouldn't it be neat if..." message
to the Git mailing list a lot of people read it (including myself at the
time), but don't find it useful to add anything to it.

Sure, this feature as described would be neat if it existed, but without
a patch there's not much to discuss.

In particular the trade-offs of teaching the log machinery to somehow
stitch together the worktree state without the user somehow getting the
state into a tree may not be worth it, or it may be. We'd have to have a
working patch to see.

So if you're interested in working on this don't let the seeming lack of
interest discourage you.

> 06.03.2018, 17:46, "KES" <[email-masked]>:
>> Hi.
>> I want to `Trace the evolution of the line range`.
>> And not committed change is sort of evolution and should be taken into account by -L option.
>>
>> Currently I MUST `stash save` change,
>> look actual line number,
>> trace evolution,
>> `stash pop` to bring back current change.
>>
>> EXPECTED:
>> Allow to use those line numbers which I see in my editor
>> without excess `stash save/stash pop` commands
>>
>> If file has not committed change then this change maybe shown by `-L` as commit NOT COMMITTED YET
>> If file staged 'commit STAGED'
>>
>> More description what is comming on:
>> https://stackoverflow.com/q/49130112/4632019